%define		_status		alpha
%define		_pearname	Validate_Finance_CreditCard
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Validation class for Credit Cards
Summary(pl.UTF-8):	%{_pearname} - Klasa sprawdzająca poprawność dla kart kredytowych
Name:		php-pear-%{_pearname}
Version:	0.6.0
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	be20c565a7ecfbfdc71337e03be1be2c
URL:		http://pear.php.net/package/Validate_Finance_CreditCard/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php(pcre)
Requires:	php-pear >= 4:1.0-4
Obsoletes:	php-pear-Validate_Finance_CreditCard-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package to validate Credit Card numbers and types.

Although, still marked in alpha stage, the package is pretty stable.
There is currently no plan to change the API.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności numerów oraz typów kart kredytowych.

Chociaż oznaczony jako alpha, pakiet zachowuje się całkiem stabilnie.
Nie ma też planów zmiany API.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/Finance/*
%changelog
* Tue Feb 26 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Validate_Finance_CreditCard.git;a=log;h=master

* Tue Feb 26 2019 Adam Gołębiowski <adamg@pld-linux.org> 54ecc42
- updated to 0.6.0

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> e5438cf
- use php(core) for php engine version deps
- release 4 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> d862355
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 945df5a
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> b484b0d
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 9636eca
- updated deps with pearize.sh
- release 2

* Sun Sep 07 2008 Adam Gołębiowski <adamg@pld-linux.org> 097f349
- updated to 0.5.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 71d12cc
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d03f1dc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3dea738
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> d60ebc2
- rel 2: use php(extension) virtuals

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> 72365c1
- updated to 0.5.2

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6888409
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 2cfa51b
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> a0c05c6
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> bc88c6a
- group Development/Languages/PHP for -tests

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> a84499e
- pearize

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> b76edf3
- define Epoch to 0 explicitly when using it

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> ddc8cb3
- new pear packaging

* Wed Jul 27 2005 Jakub Bogusz <qboosh@pld-linux.org> fc75d25
- pl summary

